---
title: Zone Subscription Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zones](https://developers.cloudflare.com/api/python/resources/zones)

[Subscriptions](https://developers.cloudflare.com/api/python/resources/zones/subresources/subscriptions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Zone Subscription Details

zones.subscriptions.get(SubscriptionGetParams\*\*kwargs) -> [SubscriptionGetResponse](<https://developers.cloudflare.com/api/python/resources/zones#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)>)

GET/zones/{zone\_id}/subscription

Lists zone subscription details.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Billing Write``Billing Read`

##### ParametersExpand Collapse

zone\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20zones.subscriptions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SubscriptionGetResponse: …

</summary>

id: Optional\[str]

Subscription identifier tag.

maxLength32

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

currency: Optional\[str]

The monetary unit in which pricing information is displayed.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

current\_period\_end: Optional\[datetime]

The end of the current period and also when the next billing is due.

formatdate-time

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20current_period_end">Link to this property</a>

current\_period\_start: Optional\[datetime]

When the current billing period started. May match initial\_period\_start if this is the first period.

formatdate-time

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20current_period_start">Link to this property</a>

<details>

<summary>

frequency: Optional\[Literal\["weekly", "monthly", "quarterly", 2 more]]

How often the subscription is renewed automatically.

</summary>

One of the following:

"weekly"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%200">Link to this property</a>

"monthly"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%201">Link to this property</a>

"quarterly"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%202">Link to this property</a>

"yearly"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%203">Link to this property</a>

"not-applicable"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20frequency">Link to this property</a>

price: Optional\[float]

The price of the subscription that will be billed, in US dollars.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20price">Link to this property</a>

<details>

<summary>

rate\_plan: Optional\[RatePlan]

The rate plan applied to the subscription.

</summary>

<details>

<summary>

id: Optional\[Literal\["free", "lite", "pro", 7 more]]

The ID of the rate plan.

</summary>

One of the following:

"free"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%200">Link to this property</a>

"lite"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%201">Link to this property</a>

"pro"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%202">Link to this property</a>

"pro\_plus"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%203">Link to this property</a>

"business"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%204">Link to this property</a>

"enterprise"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%205">Link to this property</a>

"partners\_free"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%206">Link to this property</a>

"partners\_pro"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%207">Link to this property</a>

"partners\_business"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%208">Link to this property</a>

"partners\_enterprise"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id%20%3E%20(member)%209">Link to this property</a>

</details>

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

currency: Optional\[str]

The currency applied to the rate plan subscription.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20currency">Link to this property</a>

externally\_managed: Optional\[bool]

Whether this rate plan is managed externally from Cloudflare.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20externally_managed">Link to this property</a>

is\_contract: Optional\[bool]

Whether a rate plan is enterprise-based (or newly adopted term contract).

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20is_contract">Link to this property</a>

public\_name: Optional\[str]

The full name of the rate plan.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20public_name">Link to this property</a>

scope: Optional\[str]

The scope that this rate plan applies to.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20scope">Link to this property</a>

sets: Optional\[List\[str]]

The list of sets this rate plan applies to. Returns array of strings.

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan%20%2B%20(resource)%20%24shared%20%3E%20(model)%20rate_plan%20%3E%20(schema)%20%3E%20(property)%20sets">Link to this property</a>

</details>

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20rate_plan">Link to this property</a>

<details>

<summary>

state: Optional\[Literal\["Trial", "Provisioned", "Paid", 4 more]]

The state that the subscription is in.

</summary>

One of the following:

"Trial"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%200">Link to this property</a>

"Provisioned"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%201">Link to this property</a>

"Paid"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%202">Link to this property</a>

"AwaitingPayment"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%203">Link to this property</a>

"Cancelled"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%204">Link to this property</a>

"Failed"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%205">Link to this property</a>

"Expired"

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state%20%3E%20(member)%206">Link to this property</a>

</details>

<a href="#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)%20%3E%20(property)%20state">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.subscriptions%20%3E%20(model)%20subscription_get_response%20%3E%20(schema)>)

### Zone Subscription Details

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
subscription = client.zones.subscriptions.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(subscription.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "506e3185e9c882d175a2d0cb0093d9f2",
    "currency": "USD",
    "current_period_end": "2014-03-31T12:20:00Z",
    "current_period_start": "2014-05-11T12:20:00Z",
    "frequency": "monthly",
    "price": 20,
    "rate_plan": {
      "id": "free",
      "currency": "USD",
      "externally_managed": false,
      "is_contract": false,
      "public_name": "Business Plan",
      "scope": "zone",
      "sets": [
        "string"
      ]
    },
    "state": "Paid"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "506e3185e9c882d175a2d0cb0093d9f2",
    "currency": "USD",
    "current_period_end": "2014-03-31T12:20:00Z",
    "current_period_start": "2014-05-11T12:20:00Z",
    "frequency": "monthly",
    "price": 20,
    "rate_plan": {
      "id": "free",
      "currency": "USD",
      "externally_managed": false,
      "is_contract": false,
      "public_name": "Business Plan",
      "scope": "zone",
      "sets": [
        "string"
      ]
    },
    "state": "Paid"
  },
  "success": true
}
```